Bug 437575 - Software manager dies during update of pm-utils
Software manager dies during update of pm-utils
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pm-utils (Show other bugs)
5.1
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 18:48 EDT by Geoff Quelch
Modified: 2015-03-04 20:19 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 08:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoff Quelch 2008-03-14 18:48:52 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select package updaters
2. Apply update for pm-utils
3.
  
Actual results:
Component: Software Manager
Summary: TB471250f2 grabber.py:1200:_do_grab:IOError: [Errno 2] No such file or
directory:
'//var/cache/yum/rhel-x86_64-server-5/headers/krb5-devel-1.6.1-17.el5.i386.hdr'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 334, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 557, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 322, in checkDeps
    self.populateTs(keepold=0)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 201, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 863, in
downloadHeader
    cache=repo.http_caching != 'none',
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 602, in getHeader
    cache=cache,
  File "/usr/lib/yum-plugins/rhnplugin.py", line 221, in _getFile
    start, end, copy_local, checkfunc, text, reget, cache)
  File "/usr/lib/yum-plugins/rhnplugin.py", line 305, in _noExceptionWrappingGet
    http_headers=headers,
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 927, in
urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 845, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 915, in
retryfunc
    fo._do_grab()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1200, in
_do_grab
    else: new_fo = open(self.filename, 'wb')
IOError: [Errno 2] No such file or directory:
'//var/cache/yum/rhel-x86_64-server-5/headers/krb5-devel-1.6.1-17.el5.i386.hdr'

Local variables in innermost frame:
self: <addinfourl at 451671248 whose fp = None>


Expected results:
Update of selected package.

Additional info:
Comment 1 Phil Knirsch 2008-04-11 06:13:56 EDT
The error message though seems to indicate that it's rather a problem of your
yum cache on the machine regarding krb5-devel-1.6.1-17.el5.i386.hdr:

IOError: [Errno 2] No such file or directory:
'//var/cache/yum/rhel-x86_64-server-5/headers/krb5-devel-1.6.1-17.el5.i386.hdr'

Could you please clear your yum cache using the following command:

yum clean all

and rerun the update?

Thanks,

Read ya, Phil
Comment 2 Geoff Quelch 2008-05-03 23:47:54 EDT
I do not now get this error when I run the commands you suggested. So I either
cleared this problem manually earlier, or the commands worked.
Thanks.
Comment 3 Phil Knirsch 2008-05-05 08:53:01 EDT
Ok, great.

I'm closing this bug then, please feel free to reopen it in case you see it again.

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.